# Unique Determinedness

UDA: Unique Determinedness among All density matrices

UDP: Unique Determinedness among Pure quantum states

::: numqi.unique_determine.FindStateWithOpModel
    options:
      heading_level: 2

::: numqi.unique_determine.check_UD_is_UD
    options:
      heading_level: 2

::: numqi.unique_determine.density_matrix_recovery_SDP
    options:
      heading_level: 2

::: numqi.unique_determine.get_matrix_list_indexing
    options:
      heading_level: 2

::: numqi.unique_determine.get_qutrit_projector_basis
    options:
      heading_level: 2

::: numqi.unique_determine.get_chebshev_orthonormal
    options:
      heading_level: 2

::: numqi.unique_determine.save_index_to_file
    options:
      heading_level: 2

::: numqi.unique_determine.remove_index_from_file
    options:
      heading_level: 2

::: numqi.unique_determine.load_pauli_ud_example
    options:
      heading_level: 2

::: numqi.unique_determine.get_element_probing_POVM
    options:
      heading_level: 2

::: numqi.unique_determine._uda_udp._UDAEigenvalueManifold
    options:
      heading_level: 2

::: numqi.unique_determine.DetectUDModel
    options:
      heading_level: 2

::: numqi.unique_determine.check_UD
    options:
      heading_level: 2

::: numqi.unique_determine.find_optimal_UD
    options:
      heading_level: 2
